// STYLE REALISATIONS

// IMPORT
@import "./realisations-anim";

// UNIVERSEL
.container {

    // WRAPPER
    .realisations-wrapper {
        position       : relative;
        display        : flex;
        flex-wrap      : wrap;
        flex-direction : row;
        justify-content: space-around;
        width          : 95%;
        max-width      : 1024px;
        margin         : 14rem 0 8rem 0;

        @include tablet {
            margin: 6rem 0;
        }

        // PROJECT CONTENT
        .realisations-left {
            width     : 45%;
            padding   : 1rem;
            margin-top: 2rem;

            @include tablet {
                order     : 2;
                width     : 65%;
                padding   : 1rem;
                margin-top: 2rem;
            }

            @include mobile {
                width     : 90%;
                margin-top: 1rem;
            }

            // PROJECT BOX - UNIVERSAL
            .realisations-left-box {
                opacity       : 0;
                display       : flex;
                flex-wrap     : wrap;
                flex-direction: column;
                margin-bottom : 1rem;
                border-bottom : 1px solid #000;
                transition    : 300ms ease;
                cursor        : pointer;

                &.active {
                    padding-left : 0.2rem;
                    border-left  : 7px solid $complementary;
                    border-bottom: 1px solid $complementary;

                    h3 {
                        color         : $complementary;
                        letter-spacing: 0.3rem;
                    }
                }

                h3 {
                    padding-bottom: 0.5rem;
                }

                :nth-child(2) {
                    padding-bottom: 0.5rem;
                    margin-left   : auto;
                }

                :nth-child(3) {
                    padding-bottom: 0.5rem;
                    margin-left   : auto;
                    font-size     : 0.8rem;
                }
            }

            // PROJECT 1 BOX SPECIFICATION
            #project1 {
                opacity: 0;

                @include mobile {
                    opacity: 1;
                }
                
                &.animate {
                    opacity  : 1;
                    animation: 800ms realisations-project;
                }
            }

            // PROJECT 2 BOX SPECIFICATION
            #project2 {
                opacity: 0;

                @include mobile {
                    opacity: 1;
                }
                
                &.animate {
                    opacity  : 1;
                    animation: 1200ms realisations-project;
                }
            }

            // PROJECT 3 BOX SPECIFICATION
            #project3 {
                opacity: 0;

                @include mobile {
                    opacity: 1;
                }
                
                &.animate {
                    opacity  : 1;
                    animation: 1600ms realisations-project;
                }
            }

            // PROJECT 4 BOX SPECIFICATION
            #project4 {
                opacity: 0;

                @include mobile {
                    opacity: 1;
                }

                &.animate {
                    opacity  : 1;
                    animation: 2000ms realisations-project;
                }
            }

            // PROJECT 5 BOX SPECIFICATION
            #project5 {
                opacity: 0;

                @include mobile {
                    opacity: 1;
                }

                &.animate {
                    opacity  : 1;
                    animation: 2400ms realisations-project;
                }
            }
        }

        // PROJECT DISPLAY
        .realisations-right {
            position      : relative;
            display       : flex;
            flex-direction: column;
            align-items   : center;
            width         : 45%;
            padding       : 1rem;
            margin-top    : 1rem;

            @include tablet {
                width  : 100%;
                padding: 1rem;
            }

            @include mobile {
                margin-top: 2rem;
            }

            // LINKS
            .realisation-right-links {
                display        : flex;
                justify-content: flex-end;
                margin-left    : auto;

                @include tablet {
                    margin-right: 15%;
                }
                
                @include mobile {
                    margin-right: 0;
                }

                #url {
                    padding: 0 0.5rem;
                    fill   : $complementary;

                    &.disable {
                        opacity: 0;
                    }
                }

                #git {
                    padding: 0 0.5rem;

                    &.disable {
                        opacity: 0;
                    }
                }
            }
            
            // DISPLAY
            .realisation-right-display {
                position     : relative;
                width        : 100%;
                height       : 370px;
                border-radius: 10px;
                background   : url("../img/brame.jpg") no-repeat center / cover;

                @include tablet {
                    width : 70%;
                    height: 265px;
                }

                @include mobile {
                    width : 100%;
                    height: 200px;
                }

                // DISPLAY ZOOM
                .realisation-right-display-hover {
                    position       : absolute;
                    top            : 0;
                    left           : 0;
                    display        : flex;
                    flex-direction : column;
                    justify-content: space-between;
                    align-items    : center;
                    width          : 100%;
                    height         : 370px;
                    border-radius  : 10px;
                    transition     : 250ms ease;
                    cursor         : pointer;

                    &:hover {
                        background-color: rgba(#ffffff, 0.4);

                        svg {
                            opacity: 1;
                            padding: 5px;
                        }
                    }
    
                    @include tablet {
                        height: 265px;
                    }
    
                    @include mobile {
                        height: 200px;
                    }

                    svg {
                        opacity   : 0;
                        padding   : 15px;
                        transition: 300ms ease;
                    }

                    .svg-top {
                        display: flex;
                        width  : 100%;

                        svg {

                            &:nth-child(1) {
                                transform: rotate(135deg);
                            }
    
                            &:nth-child(2) {
                                margin-left: auto;
                                transform  : rotate(-135deg);
                            }
                        }
                    }

                    .svg-bottom {
                        display: flex;
                        width  : 100%;

                        svg {

                            &:nth-child(1) {
                                transform: rotate(45deg);
                            }
    
                            &:nth-child(2) {
                                margin-left: auto;
                                transform  : rotate(-45deg);
                            }
                        }
                    }
                }
            }
        }

        // TEXT BG
        #realisations-bg {
            top : -110px;
            left: 0px;

            @include mobile {
                top : -60px;
                left: auto;
            }
        }
    }
}
